/// <reference types="node" />
import { QuirrelConfig } from "..";
export declare function run(backend: "Redis" | "Mock", config?: Partial<QuirrelConfig>): Promise<{
    teardown: () => Promise<void>;
    server: import("http").Server;
    app: {
        server: import("http").Server;
        app: import("fastify").FastifyInstance<import("http").Server, import("http").IncomingMessage, import("http").ServerResponse, import("pino").Logger<{
            level: string;
        }>, import("fastify").FastifyTypeProviderDefault> & PromiseLike<import("fastify").FastifyInstance<import("http").Server, import("http").IncomingMessage, import("http").ServerResponse, import("pino").Logger<{
            level: string;
        }>, import("fastify").FastifyTypeProviderDefault>>;
        port: number;
        close(): Promise<void>;
    };
    redis: import("ioredis/built/Redis").default;
}>;
